OpenPermit Docs
ReferenceApi

Verify authenticator proof

POST
/api/v1/authenticators/{type}/verify

Authorization

Path Parameters

type*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

mandateId*string
proof*

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/authenticators/passkey/verify" \  -H "Content-Type: application/json" \  -d '{    "mandateId": "string",    "proof": {      "authenticatorType": "passkey",      "assuranceLevel": "softwareApproved",      "subject": "string",      "signature": "string",      "signedPayloadHash": "string"    }  }'
{  "valid": true,  "assuranceLevel": "softwareApproved",  "proof": {    "proofId": "string",    "authenticatorType": "passkey",    "assuranceLevel": "softwareApproved",    "subject": "string",    "signature": "string",    "signedPayloadHash": "string",    "attestation": {      "eip7702": {        "standard": "eip7702",        "authorization": {          "chainId": 0,          "address": "string",          "nonce": 0,          "yParity": 0,          "r": "string",          "s": "string"        },        "authority": "string",        "recoveredAuthority": "string"      },      "eip712": {        "standard": "eip712",        "typedData": {          "domain": {            "name": "OpenPermit",            "version": "1",            "chainId": 0,            "verifyingContract": "string"          },          "types": {            "OpenPermitMandateApproval": [              {                "name": "string",                "type": "string"              }            ]          },          "primaryType": "OpenPermitMandateApproval",          "message": {            "mandateId": "string",            "policyHash": "string",            "payer": "string",            "delegate": "string",            "chain": "string",            "contractAddress": "string",            "revocationNonce": "string",            "expiresAt": 1,            "apiOrigin": "http://example.com"          }        },        "recoveredAddress": "string"      },      "property1": null,      "property2": null    },    "verifiedAt": "string"  },  "reason": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string",  "errors": [    {      "detail": "string",      "pointer": "string"    }  ]}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}